Bug 32580 - Background job cancel button broken, leads to background_jobs.pl with a kc
Summary: Background job cancel button broken, leads to background_jobs.pl with a kc
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords: regression
Depends on: 30982
Blocks:
  Show dependency treegraph
 
Reported: 2023-01-06 21:04 UTC by Phil Ringnalda
Modified: 2023-02-08 16:38 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.03


Attachments
Bug 32580: Fix typo in cancel link on background jobs page (1.97 KB, patch)
2023-01-06 23:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32580: Fix typo in cancel link on background jobs page (2.01 KB, patch)
2023-01-10 20:48 UTC, David Nind
Details | Diff | Splinter Review
Bug 32580: Fix typo in cancel link on background jobs page (2.08 KB, patch)
2023-02-07 12:57 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Phil Ringnalda 2023-01-06 21:04:29 UTC
Regression from bug 30982 which typoed background_jobs.pl as bakcground_jobs.pl - if you try to cancel a background job, you get a 404 error.
Comment 1 Katrin Fischer 2023-01-06 23:27:49 UTC
Created attachment 145116 [details] [review]
Bug 32580: Fix typo in cancel link on background jobs page

One way to test:
* Make sure you are using Elasticsearch
* Edit a record in your catalog
* Go to: /cgi-bin/koha/admin/background_jobs.pl
* Uncheck 'Current jobs only'
* Cancel the job, you'll see a 404 error
* Apply patch
* Repeat, now the redirect should work right
Comment 2 David Nind 2023-01-10 20:48:44 UTC
Created attachment 145204 [details] [review]
Bug 32580: Fix typo in cancel link on background jobs page

One way to test:
* Make sure you are using Elasticsearch
* Edit a record in your catalog
* Go to: /cgi-bin/koha/admin/background_jobs.pl
* Uncheck 'Current jobs only'
* Cancel the job, you'll see a 404 error
* Apply patch
* Repeat, now the redirect should work right

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2023-01-10 20:51:35 UTC
Testing notes (using KTD):

1. To get a background job to stay running long enough to test I:
   . Used the item search: listed all items (by not putting anything in the search criteria) and exported as CSV
   . Copied all the barcodes from the CSV file
   . Use batch item modification to add a public note to all items
Comment 4 Martin Renvoize 2023-02-07 12:57:59 UTC
Created attachment 146318 [details] [review]
Bug 32580: Fix typo in cancel link on background jobs page

One way to test:
* Make sure you are using Elasticsearch
* Edit a record in your catalog
* Go to: /cgi-bin/koha/admin/background_jobs.pl
* Uncheck 'Current jobs only'
* Cancel the job, you'll see a 404 error
* Apply patch
* Repeat, now the redirect should work right

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2023-02-07 13:00:14 UTC
Trivial fix, working well.. Passing QA
Comment 6 Tomás Cohen Arazi 2023-02-07 13:52:02 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 7 Jacob O'Mara 2023-02-08 16:38:08 UTC
Nice work, thanks everyone!

Pushed to 22.11.x for the next release.